Eclipse Platform Release 3.7

## org.eclipse.jface.databinding.viewers
Class ViewerProperties

    java.lang.Object
      org.eclipse.jface.databinding.viewers.ViewerProperties

    public class ViewerProperties

extends Object

A factory for creating properties of JFace `viewers`.

Since:
  1.3

Constructor Summary
`ViewerProperties()`

Method Summary
`static IViewerSetProperty` `checkedElements(Object elementType)` Returns a set property for observing the checked elements of a `CheckboxTableViewer`, `CheckboxTreeViewer` or `ICheckable`.
`static IViewerSetProperty` `filters()` Returns a value property for observing the input of a `StructuredViewer`.
`static IViewerValueProperty` `input()` Returns a value property for observing the input of a `Viewer`.
`static IViewerListProperty` `multiplePostSelection()` Returns a list property for observing the multiple post selection of an `IPostSelectionProvider`.
`static IViewerListProperty` `multipleSelection()` Returns a list property for observing the multiple selection of an `ISelectionProvider`.
`static IViewerValueProperty` `singlePostSelection()` Returns a value property for observing the single post selection of a `IPostSelectionProvider`.
`static IViewerValueProperty` `singleSelection()` Returns a value property for observing the single selection of a `ISelectionProvider`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewerProperties

    public ViewerProperties()

Method Detail

### checkedElements

    public static IViewerSetProperty checkedElements(Object elementType)

  Returns a set property for observing the checked elements of a `CheckboxTableViewer`, `CheckboxTreeViewer` or `ICheckable`.

  Parameters:
    `elementType` - the element type of the returned property
  Returns:
    a set property for observing the checked elements of a `CheckboxTableViewer`, `CheckboxTreeViewer` or `ICheckable`.

### filters

    public static IViewerSetProperty filters()

  Returns a value property for observing the input of a `StructuredViewer`.

  Returns:
    a value property for observing the input of a `StructuredViewer`.

### input

    public static IViewerValueProperty input()

  Returns a value property for observing the input of a `Viewer`.

  Returns:
    a value property for observing the input of a `Viewer`.

### multipleSelection

    public static IViewerListProperty multipleSelection()

  Returns a list property for observing the multiple selection of an `ISelectionProvider`.

  Returns:
    a list property for observing the multiple selection of an `ISelectionProvider`.

### multiplePostSelection

    public static IViewerListProperty multiplePostSelection()

  Returns a list property for observing the multiple post selection of an `IPostSelectionProvider`.

  Returns:
    a list property for observing the multiple post selection of an `IPostSelectionProvider`.
  Since:
    1.4

### singleSelection

    public static IViewerValueProperty singleSelection()

  Returns a value property for observing the single selection of a `ISelectionProvider`.

  Returns:
    a value property for observing the single selection of a `ISelectionProvider`.

### singlePostSelection

    public static IViewerValueProperty singlePostSelection()

  Returns a value property for observing the single post selection of a `IPostSelectionProvider`.

  Returns:
    a value property for observing the single post selection of a `IPostSelectionProvider`.
  Since:
    1.4

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.